MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024160Open CASCADE[OCCT] OCCT:WOKpublic2013-09-10 17:562013-12-19 13:58
Reporteromy 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024160: Changes in VS Projects warning level
DescriptionIt is necessary to set 4 warning level instead of level 3 for VC compiler to show the maximum number of warnings.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0023947closedomy Eliminate trivial compiler warnings in MSVC++ with warning level 4 

-  Notes
(0025519)
omy (developer)
2013-09-10 17:58

Dear abv,
Please, review the changes in the branch CR24160.
(0025524)
abv (manager)
2013-09-11 10:55

No remarks, please test and integrate.

Note that CMake and Automake scripts should also be updated to increase warning level. For that, separate issue can be created.
(0025538)
abv (manager)
2013-09-12 10:10

Please note that I have pushed one more small change to CR24160: file template.cmake removed as it is not used any more due to changes made in 0024054
(0025770)
bugmaster (administrator)
2013-09-27 10:54

Fix has been integrated into master of occt-wok repository

- Issue History
Date Modified Username Field Change
2013-09-10 17:56 omy New Issue
2013-09-10 17:56 omy Assigned To => omy
2013-09-10 17:57 omy Relationship added related to 0023947
2013-09-10 17:58 omy Note Added: 0025519
2013-09-10 17:58 omy Assigned To omy => abv
2013-09-10 17:58 omy Status new => resolved
2013-09-11 10:55 abv Note Added: 0025524
2013-09-11 10:55 abv Assigned To abv => bugmaster
2013-09-11 10:55 abv Status resolved => reviewed
2013-09-11 10:55 abv Summary Changes in VS Projects' warning level => Changes in VS Projects warning level
2013-09-11 11:34 mkv Test case number => Not needed
2013-09-11 11:34 mkv Assigned To bugmaster => mkv
2013-09-11 11:34 mkv Assigned To mkv => bugmaster
2013-09-12 10:10 abv Note Added: 0025538
2013-09-27 10:54 bugmaster Note Added: 0025770
2013-09-27 10:54 bugmaster Status reviewed => verified
2013-09-27 10:54 bugmaster Resolution open => fixed
2013-09-27 10:54 bugmaster Assigned To bugmaster => abv
2013-12-19 13:52 bugmaster Status verified => closed
2013-12-19 13:58 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker